/*
 * Class BILINEAR [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_268 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_268 [] = {0xFF01,237,267,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_268 [] = {0xFF01,267,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_268 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_268 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_268 [] = {0xFF01,267,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_268 [] = {0xFF01,267,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_268 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_268 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_268 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_268 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_268 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_268 [] = {267,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_268 [] = {0xFF01,267,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_268 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_268 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_268 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_268 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_268[] = {
	{EIF_GENERIC(NULL), 2457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_268), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_268), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_268), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_268), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_268), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_268), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_268), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_268), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_268), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_268), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_268), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_268), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_268), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_268), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_268), 2271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_268), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2263, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_268), 2264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_268), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2455, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2267, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2262, 0xFFFFFFFF},
};
void Init268(void)
{
	IDSC(desc_268, 0, 267);
	IDSC(desc_268 + 1, 1, 267);
	IDSC(desc_268 + 32, 77, 267);
	IDSC(desc_268 + 41, 155, 267);
	IDSC(desc_268 + 50, 30, 267);
	IDSC(desc_268 + 57, 294, 267);
}


#ifdef __cplusplus
}
#endif
